Method: networks.trafficForecastSegments.batchUpdate

Batch updates TrafficForecastSegment objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/trafficForecastSegments:batchUpdate

Path parameters

Parameters
parent

string

Required. The parent resource where TrafficForecastSegments will be updated. Format: networks/{networkCode} The parent field in the UpdateTrafficForecastSegmentRequest must match this field.

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (UpdateTrafficForecastSegmentRequest)
    }
  ]
}
Fields
requests[]

object (UpdateTrafficForecastSegmentRequest)

Required. The TrafficForecastSegment objects to update. A maximum of 100 objects can be updated in a batch.

Response body

Response object for trafficForecastSegments.batchUpdate method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "trafficForecastSegments": [
    {
      object (TrafficForecastSegment)
    }
  ]
}
Fields
trafficForecastSegments[]

object (TrafficForecastSegment)

The TrafficForecastSegment objects updated.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.

UpdateTrafficForecastSegmentRequest

Request object for trafficForecastSegments.patch method.

JSON representation
{
  "trafficForecastSegment": {
    object (TrafficForecastSegment)
  },
  "updateMask": string
}
Fields
trafficForecastSegment

object (TrafficForecastSegment)

Required. The TrafficForecastSegment to update.

The TrafficForecastSegment's name is used to identify the TrafficForecastSegment to update.

updateMask

string (FieldMask format)

Optional. The list of fields to update.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".